Skip to main content
GET
/
alpha
/
merchant
/
auctions
Get auctions
curl --request GET \
  --url https://api.auctionnow.io/api/alpha/merchant/auctions \
  --header 'Authorization: <authorization>'
{
  "data": [
    {
      "_id": "<string>",
      "_creationTime": 123,
      "title": "<string>",
      "description": "<string>",
      "startingPrice": 1,
      "startTime": 123,
      "endTime": 123,
      "shippingCostUS": 1,
      "shippingCostInternational": 1,
      "bidIncrement": 123,
      "partyId": "<string>",
      "slug": "<string>",
      "handle": "<string>",
      "binAble": true,
      "binAmount": 123,
      "productId": "<string>",
      "externalProductId": "<string>",
      "externalSubtenantId": "<string>",
      "details": {},
      "currentBidAmount": 123,
      "productUrl": "https://myshop.auctionnow.io/my-product-123",
      "isArchived": true
    }
  ],
  "timestamp": 123,
  "message": "<string>"
}

Headers

Authorization
string
required

Your Auction Now API key as a Bearer token

Example:

"Bearer ak_XXXXXXX"

Query Parameters

externalProductId
string

Include this parameter to filter auctions by the externalProductId field

Example:

"?externalProductId=abc123"

externalSubtenantId
string

Include this parameter to filter auctions by the externalSubtenantId field

Example:

"?externalSubtenantId=def456"

Response

A successful response

data
object[]
required

A list of retrieved auctions matching your query

timestamp
number
required
message
string